.menu {
	position: relative;
	margin: 100px auto 0px;
	width: calc(100% - 40px);
	max-width: 576px;
}

.menuImage {
	position: relative;
	width: 100%;
	height: 50px;
	background-color: var(--menuButton-background-color);
	border-top-left-radius: 12px;
  border-top-right-radius: 12px;
}
	.menuImageCont {
		position: absolute;
		display: flex;
		justify-content: center;
		overflow: hidden;
		margin-top: -76px;
		width: 100%;
		height: 160px;
		border-bottom-left-radius: 12px;
		border-bottom-right-radius: 12px;
	}

.menuInfo {
	position: relative;
	width: 100%;
	padding-top: 0px;
	box-sizing: border-box;
	height: 50px;
	border-bottom-right-radius: 12px;
  border-bottom-left-radius: 12px;
	background-color: var(--menuButton-background-color);
	border-bottom: var(--menuButton-border-bottom);
	box-shadow: var(--menuButton-box-shadow);
	transition: all 0.5s ease;
}
	.menuInfoTitle {
		margin: 0px auto;
		width: fit-content;
		line-height: 50px;
	  color: #666666;
	  font-size: 16px;
		font-weight: bold;	
	}





.menuTool {
	margin: 0px auto;
}
	.menuToolSearch {
		margin: 48px auto 0px auto;
		width:calc(100% - 48px);
		max-width: 576px;
		height: 60px;
		border-bottom: var(--menuButton-border-bottom);
		border-radius: 12px;
		background: var(--menuButton-background-color);
	}
	.menuToolItem {
		display: inline-block;
		vertical-align: top;
		width: calc(50% - 12px);
		height: 60px;
		border-bottom: var(--menuButton-border-bottom);
		border-radius: 12px;
		background: var(--menuButton-background-color);
	}
	.menuToolItem:nth-child(2n) {
		margin-left: 24px;
	}





.menuTitle {
	text-align: center;
	background-color: var(--menuTitle-background-color);
	font-size: 36px;
	font-weight: bold;
	color: transparent;
	text-shadow: 0px 1px 2px rgba(255,255,255,0.5);
	background-clip: text;
}










.categoryContent {
	display: none;
	padding: 24px;
	box-sizing: border-box;
}










.road {
	margin: 20px auto 80px auto;
	wdith: calc(100% - 40px);
	max-width: 360px;
}

	.roadOpen {
		margin: 20px auto 0px auto;
		width: 20px;
		height: 60px;
		border-top-left-radius: 10px;
		border-top-right-radius: 10px;
		background: linear-gradient(to top, rgb(249, 188, 148), rgb(244, 213, 192));
		box-shadow: 0 2px 2px 0 rgba(236, 190, 154, 1) inset;
	}
	.roadMid {
		margin: auto;
		width: 20px;
		height: 60px;
		background: #F9BB94;
		box-shadow: 0 2px 2px 0 rgba(236, 190, 154, 1) inset;
	}
	.roadClose {
		margin: auto;
		width: 20px;
		height: 60px;
		border-bottom-left-radius: 10px;
		border-bottom-right-radius: 10px;
		background: linear-gradient(to bottom, rgb(249, 188, 148), rgb(244, 213, 192));
		box-shadow: 0 -2px 2px 0 rgba(236, 190, 154, 1) inset;
	}

	.roadTask {
		padding: 10px;
		box-sizing: border-box;
		width: 100%;
		height: 102px;
		border-radius: 12px;
		border-bottom: 2px solid #F9BB94;
		background-color: #FFFFFF;
	}
		.roadTitle {
			margin: 60px auto 0px auto;
			text-align: center;
			font-size: 36px;
			font-weight: bold;
		}
		.roadPrize {
			margin: 40px auto;
			width: 280px;
			height: 160px;
			border-radius: 12px;
			background-color: #F4D5C0;
			box-shadow: 0px 0px 6px rgba(236, 190, 154, 1) inset;
		}
			.roadPrizeImage {
				margin: -40px 5%;
				width: 90%;
			}
			.roadPrizetext {
				margin: -20px auto 20px auto;
				text-align: center;
				font-size: 26px;
				font-weight: bold;
				background-color: #E9A980;
				color: transparent;
				text-shadow: 1px 2px 2px rgba(255,255,255,0.5);
				background-clip: text;
			}
		.roadTaskIcon {
			float: left;
			padding: 16px;
			box-sizing: border-box;
			width: 80px;
			height: 80px;
			border-radius: 12px;
			background: linear-gradient(135deg, rgb(218 218 218) 0%, rgb(179 179 179) 100%);
		}
			.roadTaskIconCheck {
				background:linear-gradient(135deg, rgba(249,152,129,1) 0%, rgba(247,130,113,1) 100%);
			}
		.roadTaskText {
			display: inline-block;
			vertical-align: top;
			padding: 18px 10px;
			box-sizing: border-box;
			width: 250px;
			height: 80px;
			font-size: 18px;
			font-weight: 400;
			color: #666666;
		}